# module Chef::Mixin::GetSourceFromPackage

### Public Class Methods

new(new_resource, run_context) click to toggle source
Calls superclass method

    # File lib/chef/mixin/get_source_from_package.rb, line 30
    def initialize(new_resource, run_context)
      super
      # if we're passed something that looks like a filesystem path, with no source, use it
      #  - require at least one '/' in the path to avoid gem_package "foo" breaking if a file named 'foo' exists in the cwd
      if new_resource.source.nil? && new_resource.package_name.match(/#{::File::SEPARATOR}/) && ::File.exists?(new_resource.package_name)
        Chef::Log.debug("No package source specified, but #{new_resource.package_name} exists on the filesystem, copying to package source")
        new_resource.source(@new_resource.package_name)
      end
    end